Code Review/Approve workflow?
2007-10-30 16:41 - Frank DePinho

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

Any plans on adding features similar to http:/www.review-board.org/ where if enabled, code submitted can be reviewed
and commented with approval or discussion before being committed to the main repository?

Thoughts?

Related issues:

Related to Redmine - Feature #7747: Add capability to ask\accept\reject revie... New 2011-03-01
Is duplicate of Redmine - Feature #2048: Code Review Module New 2008-10-18
History

#1 - 2007-11-07 18:33 - Jean-Philippe Lang

Hi, it looks interesting.

In the near time, what can be done is:

- to create a tracker called "Review request” with

appropriate workflow which would be used to submit and comment
patches

- add a diff viewer for attachments (the code already exists

for repository diffs), so that attached patches can be easily
reviewed

Then the submitter create a "Review request" issue

and attach its patch to it. Reviewers would be able to view the
diff (just like you see diffs in the repository browser) and
enter their comments by adding notes to the issue.

What do you think ?

#2 - 2011-03-24 05:38 - Toshi MARUYAMA

- Category set to Issues workflow

#3 - 2013-01-12 17:50 - Daniel Felix
Jean-Philippe Lang wrote:
- add a diff viewer for attachments (the code already exists

for repository diffs), so that attached patches can be easily
reviewed

This would be interessting!

#4 - 2013-01-12 18:29 - Daniel Felix

- Subject changed from Code Review/Approce workflow? to Code Review/Approve workflow?

#5 - 2013-03-18 14:31 - Toshi MARUYAMA

Is this issue close as duplicate #2048?

#6 - 2013-03-18 14:39 - Daniel Felix

Well | would prefer to close the older one as the newer one has a better history and is more general in naming of the review tools. What do you think?
http://www.review-board.org/
https://www.redmine.org/issues/2048

Both seem to be the same request.

#7 - 2013-03-18 14:57 - Toshi MARUYAMA

#2048 has many watchers.
| think it is better to close this issue.

#8 - 2013-03-18 15:09 - Daniel Felix
- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #2048.

2025-05-17

22


https://www.redmine.org/issues/2048
https://www.redmine.org/issues/2048
http://www.tcpdf.org

